Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFShape

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFShape

Direct Known Subclasses:
  XSSFConnector, XSSFPicture, XSSFShapeGroup, XSSFSimpleShape

    public abstract class XSSFShape

extends java.lang.Object

Represents a shape in a SpreadsheetML drawing.

Author:
  Yegor Kozlov

Field Summary
`protected XSSFAnchor` | `anchor` anchor that is used by this shape
`protected XSSFDrawing` | `drawing` Parent drawing
`static int` | `EMU_PER_PIXEL`
`static int` | `EMU_PER_POINT`
`protected XSSFShapeGroup` | `parent` The parent shape, always not-null for shapes in groups
`static int` | `PIXEL_DPI`
`static int` | `POINT_DPI`

Constructor Summary
`XSSFShape()`

Method Summary
`XSSFAnchor` | `getAnchor()`
`XSSFDrawing` | `getDrawing()` Return the drawing that owns this shape
`XSSFShapeGroup` | `getParent()` Gets the parent shape.
`protected abstract org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` | `getShapeProperties()` Returns xml bean with shape properties.
`boolean` | `isNoFill()` Whether this shape is not filled with a color
`void` | `setFillColor(int red, int green, int blue)` Sets the color used to fill this shape using the solid fill pattern.
`void` | `setLineStyle(int lineStyle)` Sets the line style.
`void` | `setLineStyleColor(int red, int green, int blue)` The color applied to the lines of this shape.
`void` | `setLineWidth(double lineWidth)` Specifies the width to be used for the underline stroke.
`void` | `setNoFill(boolean noFill)` Sets whether this shape is filled or transparent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMU_PER_PIXEL

    public static final int EMU_PER_PIXEL

See Also:
  Constant Field Values

### EMU_PER_POINT

    public static final int EMU_PER_POINT

See Also:
  Constant Field Values

### POINT_DPI

    public static final int POINT_DPI

See Also:
  Constant Field Values

### PIXEL_DPI

    public static final int PIXEL_DPI

See Also:
  Constant Field Values

### drawing

    protected XSSFDrawing drawing

  Parent drawing

### parent

    protected XSSFShapeGroup parent

  The parent shape, always not-null for shapes in groups

### anchor

    protected XSSFAnchor anchor

  anchor that is used by this shape

Constructor Detail

### XSSFShape

    public XSSFShape()

Method Detail

### getDrawing

    public XSSFDrawing getDrawing()

  Return the drawing that owns this shape

  Returns:
    the parent drawing that owns this shape

### getParent

    public XSSFShapeGroup getParent()

  Gets the parent shape.

### getAnchor

    public XSSFAnchor getAnchor()

  Returns:
    the anchor that is used by this shape.

### getShapeProperties

    protected abstract org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getShapeProperties()

  Returns xml bean with shape properties.

  Returns:
    xml bean with shape properties.

### isNoFill

    public boolean isNoFill()

  Whether this shape is not filled with a color

  Returns:
    true if this shape is not filled with a color.

### setNoFill

    public void setNoFill(boolean noFill)

  Sets whether this shape is filled or transparent.

  Parameters:
    `noFill` - if true then no fill will be applied to the shape element.

### setFillColor

    public void setFillColor(int red,
                             int green,
                             int blue)

  Sets the color used to fill this shape using the solid fill pattern.

### setLineStyleColor

    public void setLineStyleColor(int red,
                                  int green,
                                  int blue)

  The color applied to the lines of this shape.

### setLineWidth

    public void setLineWidth(double lineWidth)

  Specifies the width to be used for the underline stroke.

  Parameters:
    `lineWidth` - width in points

### setLineStyle

    public void setLineStyle(int lineStyle)

  Sets the line style.

  Parameters:
    `lineStyle` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.